## hermes 0.0.1

=== Makefile ===
compile:
	py_compilefiles src/*.py
	mkdir bin
	gcc -o bin/contact-update -std=c99 `pkg-config --cflags --libs libebook-1.2 glib-2.0` src/contact-update.c

install:
	mkdir -p ${DESTDIR}/opt/hermes/lib ${DESTDIR}/opt/hermes/bin
	ln -s ../lib/gui.py ${DESTDIR}/opt/hermes/bin/hermes
	install -D -m 0755 -o root -g root bin/contact-update ${DESTDIR}/opt/hermes/bin/contact-update
	install -D -m 0644 -o root -g root src/*.py* ${DESTDIR}/opt/hermes/lib/
	install -D -m 0644 -o root -g root share/hermes-64.png ${DESTDIR}/usr/share/icons/hicolor/scalable/hermes.png
	install -D -m 0644 -o root -g root share/hermes-48.png ${DESTDIR}/usr/share/icons/hicolor/48x48/hermes.png
	install -D -m 0644 -o root -g root share/hermes.desktop ${DESTDIR}/usr/share/applications/hildon/hermes.desktop
	install -D -m 0644 -o root -g root share/hermes.service ${DESTDIR}/usr/share/dbus-1/services/hermes.service
	chmod 755 ${DESTDIR}/opt/hermes/lib/gui.py

clean:
	rm -f src/*.py[oc]
	rm -f build-stamp configure-stamp
	rm -rf debian/hermes bin
	find . -name *~ -exec rm -f {} \;

=== debian/changelog ===
hermes (0.0.1) unstable; urgency=low

  * Initial Release.

 -- unknown <andrew@bleb.org>  Wed, 30 Sep 2009 21:21:27 +0100

=== debian/control ===
Source: hermes
Section: user/utilities
Priority: extra
Maintainer: Andrew Flegg <andrew@bleb.org>
Build-Depends: debhelper (>= 5), python-runtime | python2.5-runtime, libebook-dev
Standards-Version: 3.7.2

Package: hermes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-imaging |
 python2.5-imaging, python-osso | python2.5-osso, python-hildon |
 python2.5-hildon, python-twitter, python-facebook, python-evolution
Description: Enrich contacts' information from social networks.
 Hermes, the Greek god of communication, will fill in the gaps in your
 contacts' address book. Photos and birthdays for your friends on
 social networks like Facebook and Twitter will be used to complete
 the jigsaw.
XB-Maemo-Display-Name: Hermes
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAABIAAAASABGyWs+AAAACXZwQWcAAAAwAAAAMADO
 7oxXAAAKAklEQVRo3u1Z229U9xH+Zn7nujd711eMsUPAGAKhIJQmgTRVCVFU
 tWmiiL7kpVKbl/apD/0HKiVSH5r3Ks9tHxuJoqqqmqS0uUAChBDuxoBNYmMv
 rNe33T3nd5k+GIyN16gSKCiqRxrtnqPZOd83M2dmzlkSEXybhR81gDUCjxrA
 GoFHDeD/noD35z/+btmJOJPF089+nztLrcJkV/RYEQC08J2cB442PBAAsfNw
 pgyQQARgam5XSxxfuXZVzn5xQgR3YXnnzh5dPMhmC/Tqq6/HpULcKpLMWzM/
 3dQb3+bgggcPodMQO71IwDYZS0KKQj/bvam/N7147nj1y9OfGefsAoGtnR2L
 hs+8+Fq2c/2GXqV4G7O6IVDHRKx7cJT/oxAWs7tUFEd5AT/rKTV94MCPzrQq
 lCeuD1sA8DqCaNHQD/xiGPrPMNP3ALoGCs9AarPfGIHVWFGwiSEvi6LxOAr9
 rB/84w5ub0KFAIBMLk9d6/vbPUUvMfMugDY5F/wVqJ8Cvpl1o2n5kx8Q8Byx
 2qtgJ0Wo3rX1O59cHh+rAoA3NDIMANi+Yw8z0RZm3kkU9Am4DUj2EQXnIEl6
 r9+HSkkAWuXmBcfrQLSfKNoAdiUFM1YsltovjVypEgTsBxE8P8Lg1idjkGwB
 hd1C+RiUaSXi/aCwW4Rwrz7spDS7hsBngPcQ+d8RzoXgfCsRDwZh2L5ly5PK
 DyJw2qhDJ3WYJGlhok1EcZ44Q0QZn+HvJnh7AJ8hjOWqHiL8e30vKCEqkvB+
 oqibKCJQVhH8Dk95g7X5GUobdTAJo9TaQd3dGxxD9YMiBSiAFEBRNwkfYMRF
 OMIKFXpw7ACa+SaniCh4gsnbB8pEAIEoAFGQJ6Hi9m27FBwvdPSBwV1eqbW4
 leAVQP7t6UwAZyIibx/gP8miiB1jqZJ7CAQEuNcvOwZRlCXhF0DhRnBwZ3QC
 CAOP1cbBrTvbsrkicTbTgigTKxEpAapr2XbBPoHCjQQ+QBQXVkbqYWwizTKr
 QBQOENR+cJxb1p/IU3DoJaFCe1cneGDTDm9daV0u9MIdRGEBxMudqzhHUPtB
 wTaIR3CMu/pwMrDcJ4MQZiB8ABRsA4fLbzbymFU46Cuva8fmXZF34cwZu7F/
 QEi4BxSEK7oxBwwOt8LUf/jvo6f7T5+/NOisC0XEpVqLoUDy+Rw3GolyzpG1
 RgCyAEyxWDTGGMzNzSkAXpqmvu/7XpomKk01B0FAUaBIdMKAkBNBV3vb0Os/
 fe2zbE69BBUXlwcUAPlEUAVP+W3Xroxqb31PH7fkWzwIuabdmBjw4pZPPzn2
 xu//8Kee2VoKgMBMoCXmzrkVxyICJw6Q2133zvM3LUTeiQOBQExQyoNiBU8R
 iP0Lb/z8Zx3wwuatThSxMHV0dHheJlugytSM399HjQUSTUQFfOni5XU6MRAw
 RARjI0No1OawZDm9mzRmZDIZ+L6PJElQr9dxv5cHYZRFR89jSCWFImDo4uUB
 +FlaEf27ZZc06qkY7RRfPnvetmRyloTykFWeD4jAxlJ/qRVdrQV4zAtBFAFE
 IPeo7/vYv38/3n77bTz++ONQSq2wWaZwEGegnENBEQJrFDy/ORYRQCgOlO/b
 emK51NpOhULROYtRGFPDKpHS9QQxGBkA2TBYVi73CjODiNDT04OWlhZ4nndf
 e8hC78soRp4VzHwdq+GAcwLjxiFqqq9vE3njo1+7ybHxmWK+5QICMwPnWqBW
 ll5Sa8BXPkIhRJ4D3weQUgr5fB5aazjn0N3djUqlgrm5OVhrFyNvjIG1Fo1G
 gkatAdEpdKOOgJ5enazWVrT72ib66umTn6eessDwuYt6YOPANWg7DGPWQ6kV
 6bPGwgnBOYFiBuH+BNra2lCtVnHw4EF0d3fjnXfewaFDh1Cv1+Gcg3N3bzci
 AtOCRwaQpBriBKTuuYYIoM28aPulSXR19OJlx2wJl8+cs1bb66LNWaQ6hWuS
 PgcYAA1jYAFYa5GmKWq1GmZnZ1GtVnHz5k1MTExgdHQUWmuUy2UcPnwYU1NT
 6OvrQ5qmMMYsA79YdsRQxPCJIU7QdFs0RqDNvNP22NDZ87O2nornVIBa4uTU
 8ROVvc8/P0KJrsBLuxEFvLSr1ms1/PM/72GqNoeZ+VnUk0bTzkJEUEqhs7MT
 x48fx8mTJ/HKK6+gUqmsXha3W6kHQgiC36yXWAs00hTaDjVqjfKpE1+kTgVg
 TjUoSZAvtMIZdxLGnkU9mUGqBdYBbqHTJMZiYuwrVKcr0EbjfhKGITo7OzE+
 Pg7nHAqFAsbGxmCtbQ6fCJ5SUMpDpAKE7C8kQARwDjAWqCcGDT0J4z4l4q+y
 cQxONVgsQML41+G/p9a4S9DuAyT6PGpJDfXEIkkFqRFmRoYUYlJg4lW7ChGh
 UCigUCigXC6jtbUVcRwvklntN34QIAgD5MIIohTIWEGiBQ3tUE8M6voWtDkq
 Vo4MX7h0a+TisBMLeHfG0HR1Wk59duLGd/ftfZ8EMcjkYGUdmGMQFCsvUF7A
 GQgsWxjXPJoAUCqVoJTC+Pg4ent7Ya1FuVxedZgREYIwRJY8BOSBw0BQ1xoQ
 AycaztWgzZei7bvzMzOnTxw90VhwRfC6unoXHV27cEVv2jxwttjeFiviPAS7
 Qa4dhECYein0Y0VABg61NGkKRkQwOjqKN998E1evXsXU1BTeeustlMvl1e8A
 IsRhiJg8MDHifNYiNTcgUofIDEQmoe17c9MzH40MX5uQ1Mkd3N7oyLVFR0yE
 619dn//lb359Lut5CpYmAVkPokKUzTwf5nP9qUkRiCBMmg0zAhFQqVRw5MgR
 iAATE5OYnJxcnNDLbBc+4PsB4iAEMwNgFNtLczDmMwDzEFyHyNfOuo+PHfv0
 xukPj6aVanXRixeF0TIItdk5OfLe+1M/ePGFk3EuNw2RNhDantq9e+bd9V2/
 mp2vkRVBS1sJjuQuiSWv7IgWonpHbxssbAEid3e6JfwZBAYhn81i965dJ+Dk
 EAQpgFFnTWV2bnb084+P6qTewFLM9NuDv2iSUuDlH/+Edu59KkOKI2JqFcA/
 c+nCUxeGh/rmanM6aSQNcqK5sxUAoBST1oaUYlhrKUlSxHEMrVMCQGEYkjUW
 fuATALo9yYkSQ9TQij2OrLHRhp7eW8/tefpD3/dvinMGgspMuZr+7d2/JEOX
 h1dg9ZrVpHOC/k2bpXbp2nzdk1rQVppRxLSlf+PYjs2DEGOT6sTNFAQp7duJ
 B5LqPEY+Ool1j/UpPxOFEPGnp6d1LsroiZGrUlChCbNFlNo7gCYE6NQHH604
 KSJ4Yvt2UJrCiIURAYGRaINcPks+kaTGghQh7Cw9GIHUYPZGGdlcDk5r1FNN
 c7WadLe1oXKrjEIuD/Yj3CjfwM3yzZUE1v7kWyOwRuDbLWsEHrWsEXjUskbg
 Uct/AQWa/LNlD1YMAAAAJXRFWHRjcmVhdGUtZGF0ZQAyMDA5LTA5LTMwVDIx
 OjExOjE5KzAxOjAwUrmhuQAAACV0RVh0bW9kaWZ5LWRhdGUAMjAwOS0wOS0z
 MFQyMToxMToxOSswMTowMA0I140AAAAZdEVYdFNvZnR3YXJlAEFkb2JlIElt
 YWdlUmVhZHlxyWU8AAAAAElFTkSuQmCC

## hermes 0.0.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 compile:
+	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control
+	uuencode -m share/hermes-48.png - | perl -ne 'print " $$_" unless $$. == 1 or /^====$$/' >>debian/control
 	py_compilefiles src/*.py
 	mkdir bin
 	gcc -o bin/contact-update -std=c99 `pkg-config --cflags --libs libebook-1.2 glib-2.0` src/contact-update.c

=== debian/changelog ===
hermes (0.0.2) unstable; urgency=low

  * Fix missing python-gconf dependency.
  * Fix "FacebookError is not defined".
  * Include Tim Samoff's updated icons.

 -- Andrew Flegg <andrew@bleb.org>  Fri,  2 Oct 2009 08:39:26 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: user/utilities
 Priority: extra
 Maintainer: Andrew Flegg <andrew@bleb.org>
-Build-Depends: debhelper (>= 5), python-runtime | python2.5-runtime, libebook-dev
+Build-Depends: debhelper (>= 5), python-runtime | python2.5-runtime, libebook-dev, sharutils
 Standards-Version: 3.7.2
 
 Package: hermes
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, python-imaging |
  python2.5-imaging, python-osso | python2.5-osso, python-hildon |
- python2.5-hildon, python-twitter, python-facebook, python-evolution
+ python2.5-hildon, python-twitter, python-facebook, python-evolution, python-gconf
 Description: Enrich contacts' information from social networks.
  Hermes, the Greek god of communication, will fill in the gaps in your
  contacts' address book. Photos and birthdays for your friends on

## hermes 0.0.3

=== debian/changelog ===
hermes (0.0.3) unstable; urgency=low

  * Improve GUI responsiveness.
  * Show a better summary of contacts at the end in preparation for
    manual mapping.
  * Fix missing application icon.

 -- Andrew Flegg <andrew@bleb.org>  Sat,  3 Oct 2009 20:23:18 +0100

## hermes 0.0.4

=== Makefile ===
--- 
+++ 
@@ -10,8 +10,8 @@
 	ln -s ../lib/gui.py ${DESTDIR}/opt/hermes/bin/hermes
 	install -D -m 0755 -o root -g root bin/contact-update ${DESTDIR}/opt/hermes/bin/contact-update
 	install -D -m 0644 -o root -g root src/*.py* ${DESTDIR}/opt/hermes/lib/
-	install -D -m 0644 -o root -g root share/hermes-64.png ${DESTDIR}/usr/share/icons/hicolor/scalable/hermes.png
-	install -D -m 0644 -o root -g root share/hermes-48.png ${DESTDIR}/usr/share/icons/hicolor/48x48/hermes.png
+	install -D -m 0644 -o root -g root share/hermes-64.png ${DESTDIR}/usr/share/icons/hicolor/scalable/hildon/hermes.png
+	install -D -m 0644 -o root -g root share/hermes-48.png ${DESTDIR}/usr/share/icons/hicolor/48x48/hildon/hermes.png
 	install -D -m 0644 -o root -g root share/hermes.desktop ${DESTDIR}/usr/share/applications/hildon/hermes.desktop
 	install -D -m 0644 -o root -g root share/hermes.service ${DESTDIR}/usr/share/dbus-1/services/hermes.service
 	chmod 755 ${DESTDIR}/opt/hermes/lib/gui.py

=== debian/changelog ===
hermes (0.0.4) unstable; urgency=low

  * Use own photo loading to avoid issue with EContact.get_photo()
    which resulted in missing icons.

 -- Andrew Flegg <andrew@bleb.org>  Sun,  4 Oct 2009 00:06:23 +0100

=== debian/control ===
Source: hermes
Section: user/utilities
Priority: extra
Maintainer: Andrew Flegg <andrew@bleb.org>
Build-Depends: debhelper (>= 5), python-runtime | python2.5-runtime, libebook-dev,
 sharutils, libosso-abook-dev
Standards-Version: 3.7.2

Package: hermes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-imaging |
 python2.5-imaging, python-osso | python2.5-osso, python-hildon |
 python2.5-hildon, python-twitter, python-facebook, python-evolution, python-gconf
Description: Enrich contacts' information from social networks.
 Hermes, the Greek god of communication, will fill in the gaps in your
 contacts' address book. Photos and birthdays for your friends on
 social networks like Facebook and Twitter will be used to complete
 the jigsaw.
XB-Maemo-Display-Name: Hermes
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAEtxJREFUeNrsWgmUXGWV/v63
 1+tauru6ek/vS9JL0lk6AUlAASVwIICKCANkEFxHkBkNIwzicVgEYZRVGMcj
 ODoEAWUTRZaACSELBNKmSdIL3el0Or1317695Z/7XlcSDMQDjOOM51g5f1e9
 qvf+d5fv3vvd+8I45/hrfrG/KfB//JJ6tj/qfjCzBhqXtWNydtbRCmXBQkRi
 85iujYoQ0iYHO+YmAvtzmxWwLb9o2yKPp3SEimP2tdddzehG/DvrrkUynTqi
 wFHe4CFdx1QEGqDLmjamCbIqMWhZw4pMs7+QVUWxVGBCukS0Le7FdAbwGRdf
 +LXUgpZ5ZnRq9I89YBiG+8E2LW7aXr8sZpOymtAy3K4RBFEhvfxkkYQiFeyw
 rNnsX0IBbicKGBPn24xDUuRoOhqJFwfVt2FJesZQoMrZ5GEFGtob5xQAh5VJ
 6KLPV6uZVlIE2iFKftotBCaGKVIm6bT+v0RcgkktHPxEkj/LBIQtQRhSNV8S
 glg0NTO7O1igOmq6p0qa15u7jGFyIhPTbaxRVTnMubFQFJVqcMFHv6XB+RgT
 9FFuJxPvspiUSwT0xmzn/cODTRDzS0muj9AOx9NBirZMgmU9mscTTCYi8QXN
 5W+Mjk5AkgSoikIxYNuu8GABxe+Li7aZKhdl9aO2bekkUDP9plH02Bz2GGNy
 L234xtE3Vfr9cx8sAUZjhJT44ApwMjdjqmPaTjLaSsaE+ZxZJuNmXBSZSUjQ
 GeyHDEP2llQ0pgne5r0//D4km3yUiEbh8Xh0iUlLCHcKQWY5Y5LJWKaCMZ9s
 QyC5s0vpLrsF0T8uqfUj/xvYMTMDC8iSJ9JqJQXK6KYWkEgKgk7JJm0QIgIE
 rXZBqNjKGDuShQh0yBopQ5bVpRCVZvB0kSh6Vc4UFSyPVHS2itRTnNDm/ICR
 6X9BVhtif2bhK0mSk2gRdJRyiD5Z4BmZc0ni3NRhs1Gy+gmwzBgJ72L2gQe/
 zSQn58p6sNRIpwTOLVWE0g6BXCl4NcY85FZ5Dh08W8Cs5GIqESMEqQNGvOt1
 2buIv7+s7i4xt4RcBFqO3M5nKzWgc8466SeCjtTMBK/q3BvOsuMSY6Zkcx5g
 3OrIcuvJdLynVNW8JpMqpiQjmoQaKEgInF3EbaOAgjVfYKo2t4F8JDcLfka/
 z+PcXk6HBwQxME3vA4dPWE9CUqjD8UuaFmVvfMsVXEATvChBLTz0KYAgrTSJ
 vxeD6Fk41RA1DLuV0iVZX+xggqeQksUR7QUvwT9Fm2QLLB4bkQRpMcFLJuF/
 5UKIDmDEJmIGl8cU1fMFgVsKE/PpSvEoO4rOZopgW83kqVW064G+7pcjjW0f
 TboWvgBZNxtTTNPScu8SqlEEPyrpmzqEUI9i5COP1EvQURChoo80o3tXb2dx
 WWil359fmecLMpE7Ac3eoYQHNs8y0U4V2XbmhGzWfPBwHchYil/X8hpVAhm3
 rTTk/MC7hD/sBrKMnS2ElWw3MtnJ4ZGJJD6OGhKxmjzwffecpZT+5uETJF4N
 ieoj28v0F+5ykpWeizwTyxCHvCH8jG/ZH54rRH+Dvjr4Cfn2+V9ESSCEvLw8
 qA6SBSGX5VXKIVKIFBhWZKXJiA/osWhikM2MbIWseDv1PO9VnAvLRclTD6Xo
 mHnQtkykY2PZ8bGR3nPv/Hqia3azj4TaRrAQUYBW1/ZFtApyPrAJVFl1EuHS
 foSFfZg2xpBIpZBPEja2r0S+dDKkyWYok7qLvSRpZ/jxaO3NOKX6eHipTsny
 HJR5+mDKtoy9VHJ/F4vM3llYsWxMUvXCBhF2i5XNzsqyFiIrH1N4y7IQi8Xx
 3NYtytd++b35Y9JICksQRiPlbl8oA5FMnJZnMOrZhj6+B/+8cxNdRtDKULAO
 GbmgNZctbmG/fPini/0+DyUHWeFEWSyywmwqjh+OP427w0/hvOGvAqPLMdh2
 K8qKS6FQ0YKY5xHMGa9hWnFvXmBlbHrPBhab3Fuka/o6ztinBUGuhFqoUIy8
 S/hsNotZYqr/9si9uK37SaCEorQqaqLWG19S8smZxRH/GxuffPnf+257fhed
 nsqFsYEXam3YUTIffWUl3SixVx1oIoyfaTN2LhOlJUwJ6JzuaVNRTafTiMfj
 eGToBVw5/G1AtdG14Gk0VzZAJUJgW4kEt+09dPL9sXj8YfKXvYhgMU8QRY2J
 HgVHCe9smslkMDU1hbPv+ALelA4AbWTMebSCC6UzClZ4TvUt8Ie2TP6mI3Ti
 zivw/AxeaLORHSKBKSXFBudCm88t67SRcqo7J9DRKUTYWiF5dao9c3lWFF3s
 U1HFZb5zcVpwOZpfX41FA2uwX3kZpaWlkHnGw620ym2zTWS8QVAFtZdyf5pS
 p+e9hHessemNV1H1g3PwZjEJtYSsuLAKqDwNHwt0YqVZrlRGFda+aunJl629
 uN2e6CX61U2Ck/BxOEzmcFq1T94fFIgmUL44gyJ5MZP0AiZ73s2HKHB1ovXV
 lVXoWfYsCKSo2ncDosQYbKYIVCt0InzjqqS8LRnpbKOgyz7R5rbDixycO3Bx
 XOlc8PCmx/HNPfcBzQTleUT8Ck7FN4QF+ChrQ7lWjHJ/MdNgBGAaHdMzs2fu
 6n7LwHl462ihTjp+hfpG2Z5VNbVVa7w+3/GS5ikzuISsIxTd91idodeTh/Wh
 23HB9FXYPHoeTqvs4AqjKyy7LJ7INBKPlAaoiPUQrtphZAtHxqZZd3c3UpQo
 /mvX03icPQXUx6D4P4NrpheidrLUTW/wZTA8sh8FC/0oKC+Tdr6+vSUWTzYa
 sn7x+vXrZ6jPSL9TEGK43slkNjSy4y21urZKbWhuweaNG10PS5J0bJJHimXC
 FEPjAu4J/A6rChsMOU8jLsZ3ezx5oxI3iEJqrJRxsTRrgvX09LibPjD2Wzxb
 +BucWvxZXKqdiKCnAHpIg0gpzcGqpmno7x/A3p698Pv9GBmfElpbW9REIhki
 LwbpxlaOLlC8MtFZpDiLRCLoGxhCWWW16+GKigr4fD7XC+8lvAOnZDKJfxj9
 JO6deATRiksVnyxXEyMIUjdgSlR9m+g2OtHliWQympdKxSRvQwF8egivVj2D
 6qISCiqNiggFGndor0P9uMvA6+vrsX37NoJ7DKFQCMXFJTna4/AdLsxxEX7o
 O/dvTVUVAoEAwuEwSkpKsGBBa66Av6OfcfsC4ZAaBGkTnUMdlFYfw2OjG4zL
 1NVhr66H7HSmVsqmzNdEj+Cn2utNxuPzJrt+Ly31noLvtX2VbqRi1yxViQzD
 0iIi1ZaTyBlMa46RxbMpavzjME0TEbLmxMQYJmczuOqpCpjEYXY67SydvKgu
 CM/4Dvzm+joKFWB6ehpFRUV0nUWWt46KYApvsvrwRBQzsRRqSwPwKFTMFaox
 MQ0vpvby82aPf01XtSdMk/cJppGJOVSTGuJofDYaYfs2QDATUDwyYVPEBmrl
 n5sgG1GMRy3uulUVbJjUejmcRWRzvMXxSozgMdDbBSm2Hzv3J3Bdcy9u6+xB
 19thJBP2XLBSayHM4epIbs3lWToDMll+a/cIPnnj47jw9l+je3CKKjHxMO6c
 o/EgtLSRtbIkc8yOTEUEZnLJsux+I53ZPTLYM1jER7jhLacWRnTd2eLj0CjG
 ru9muJRK1H1DpIQEt+sy3Kx1KOUCfX19GNo/gkKNLN97EFdd3oJvfH4xMDhJ
 tWR6Dh5ERYwc3q1c1nMOCdPEq+fg1n9wBtQE4LFrz0ZHQ8itQ5Z7o+lsHYpG
 yY1dyFqTTPULUn5ra5IfGA4PjYxt3bd723HzAkFmK3mkoAMZG6/OSoRHjq9R
 OzNOOT0kExOhompYzsrmNiZhCEadxx2HhpaF+NfrRql0x/DZrw9BpX4OMR1p
 ou2OIDZ54PA19G5Z5uEWwetR8crOt3HLo5sxTN9c8oMncNvln8CqplJMxWaI
 CCZYZTjvKU+Rtkfx5EXUujpL+u3PfirMToUnrvverZkTypOVmWCzSeTJ7ZUZ
 4XNLnGE7GfTbjQYK6D4yNexpx/oW/qj3dT5OjE9hcHAQ+kQKp53Tgl986zj3
 t2sffAvfvaXXnXw4aOH2kSxjUrdNfa8LIsM24TCx4VkSNpxA5eI66LKAdCaN
 kfg4h+7JLNLrZyo6O7eEu7rFu+6+gwmnX7zWLuxoz6752KkNifGdpiF73EGR
 SdZnJsM9dWQhS0L+7z0ofMmDE7pk6JIxh1j7EEfICePAgyBQ4PVg34SFhweS
 +MVQCj0HuUuLuGW7y+ZWjtly99jic7EVj6exeFE9vngOKZ4y8dBNF6GTEsBs
 OIa9yQFeL3UOE6k7mNrd681f1GZcecVVXHrynvvZmrWXC5de/Jnx+dlxw+RO
 vHI3KEepFLV5bfQsSmBzRCHL22jzEM0xHMxzF7eHbu4oo6lUJ+ifaYxg+68m
 ccGDG+cCtNDpXKZp49yA0uKHRoHud+BHPOLkuUx6bn4WiSbAdYXgaaFPDPNV
 qOwdGBra3NE0n48P7Zfu/Oa1lrT1hZfxkU+dbz/4xK/CN56OqCokqLIxF59O
 3j9IDggSk72gJOVmkBR5ZTolQGAWJFGCpkju0EUjuuukRmcFf7QN7ccpLiWh
 n5BJhVFbQ5anPYnIwJPngegoIczxLeRohJPLnGyTjlKQjYURTyRInzRS4XF8
 qqCVY9j4eVVHaZjVV8UmNm4Tb17/cy5994mHOS2nmprj0ehrhbFnl85E1pl5
 fp90qK2bznBMpud6c2eQS002vUuYonyeiaa5X5RZMhwjx81NtH75ky8fCQxn
 IgPh0PSVFGIYHxnljWXz2NTEFCLlEbcS5y4gGKVw+pIq+L96MsK0f/zN2+Gr
 aIUVUcM33XjLpq/s+nxy7dpLWPGJK6w/Gu5KtpDuGsaLayL83Kd+ev+LFfOX
 1FP9V6hghAQmEF0RdUGQBCewIUqSQyWo4cusaGlhflkTGiurjC2bXqGqHI3F
 Uslp4kJJIlyGwyPoWlWUZDXg9wcoCcgrWtqloOrxLqyu43t2vClmLFsmSm9l
 jaxN17FUdMponNwq2s+8KNnla5KP7pIGzGjsJ6ZlRYpaGjNHjzzeUQNR9MCF
 eLSmDD1n3eO56d6bbtVOWnrcKYIiCqqmdqiaVkWRGueCUCRLckARxaTsUQlD
 gkq5fTiSSW7vGTvw4jXXXLN7+/btJqVNFxvNzc3il770pfyVK1fWVBeXtRYq
 nlWiYTXFE3EzEo7KpLDa19sV79+9ycviu4M1np12ezXMZPEX+q+4t2vd4IHh
 weqqqsSmbVszh7PGeyjgvPKuWIW1F67A5+57BVduGa3bufvZlxol3UNgJrYq
 ii10Toxw4KMr6wlLzlwyTnGbhq6+BZ/nNVJuDxEw8z2ImTO+zycyVxM/ON6Z
 mJht79u7o3bH9qeb4uEBj58dYE0laXTM46yw4Yz4QWHJ1i09/vu+/C9X73BT
 2LEecBx1nLp7Ex5bUY8z130cd7XfMPCZX7+0YbK1qTnSUFtjMEEIk9BZksbx
 1qg7PmGYpEo3YmvqGKFlHy3rTwy5YkTVZ358w2WV4cn+00oKJKW2CGJbWdaY
 X4pscd1yplaeim391o8ffLJ7/fmrz4o6wl+y7GT2n69v4Meamr1rVkur9Pl/
 wmMlfgj/sRHX3L0Br9973Q2Zr3zui/kux+CcEGOXUGT4IQoz3KNM2XlqkslS
 uu9m0TDILwb5IEHZMELVe5o6s7UPQFizZo2PYBWKDL1yentx4vMnNEFeXgdW
 VLXAUMtOsS29JvnMppE77vrZS8+/tmtnONbVy3yLmo5pkOsv+vtjPjdSJAEV
 L12Nn+Tr8O2bwmtn3YVb2xqaEy31TalAMD99w5Xr5JKS4kLCf4rOTlt5isGJ
 dksilT9BxDvGiU6fqhUUFPiXlc2uLvHh7GIfihfXQDilDYK+4AIuFbZZw9P2
 myf/3d03aIo8OTg6kj6KY39gBQ55oujX/4h1REVWESUHKbLnse34+YFpjL2w
 FxMVpWV2QM/jffv3GW4JIj5EvaxEVhYXlNqFIS8vLPajuboQqyuDqC0JUCOn
 A0R0UROCXTj/DFEqXWX/dvPgfZ++8kdP0hbRP4X3D6rAoRjJO3cxaq5cjc82
 luEkKpLKWIR4TwRUNzAcS2I2ZSBNNcrRQaaclJ/vRTHR+PwgpXev031S315A
 7XRSxNTBafzhkZex9fpL1Wuj+vlvn3P1s9/a2TMxkhvF2B9kov1+FDgEBUcR
 Z3ygE8OtJ4bb0FSOk0jABqLvupV7RqIQYDSyLjEKpCVEZ9Pl+0bDyt7d+63u
 0bAwectDQ0O5GYX0xt2Flyy5YuYhuDMH1+of+Hnv+1XgaGXEHLycpynaN85E
 dUcD6ooCCDElwKKZ/OnBcWH48Y3jQ1v2JCOHB1xz/bEd/gV4/vmHR+2H+uYP
 9zCQc/xPn5y+c+4vHuYDRwTjH8ayH0SBv+rX3xT4/6DAX/1/9vhvAQYAM9HU
 EevKlKQAAAAASUVORK5CYII=

## hermes 0.0.5

=== debian/changelog ===
hermes (0.0.5) unstable; urgency=low

  * Fix gnome-python dependency (re-reported by Andrew Smith &
    Faheem Pervez)

 -- Andrew Flegg <andrew@bleb.org>  Sun,  4 Oct 2009 11:51:35 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, python-imaging |
  python2.5-imaging, python-osso | python2.5-osso, python-hildon |
- python2.5-hildon, python-twitter, python-facebook, python-evolution, python-gconf
+ python2.5-hildon, python-twitter, python-facebook, python-evolution, gnome-python
 Description: Enrich contacts' information from social networks.
  Hermes, the Greek god of communication, will fill in the gaps in your
  contacts' address book. Photos and birthdays for your friends on

## hermes 0.0.6

=== debian/changelog ===
hermes (0.0.6) unstable; urgency=low

  * New icons from Tim Samoff.
  * Set Facebook and Twitter URLs into profiles (increases data
    enrichment, and will be used for resyncing).
  * Manipulate contact photos directly from Python, rather than
    using external C program.
  * Remove "Back" buttons from contact views - not consistent with
    Maemo 5 HIG.
  * Implement birthday adding.

 -- Andrew Flegg <andrew@bleb.org>  Tue,  6 Oct 2009 22:49:22 +0100

=== debian/control ===
Source: hermes
Section: user/utilities
Priority: extra
Maintainer: Andrew Flegg <andrew@bleb.org>
Build-Depends: debhelper (>= 5), python-runtime | python2.5-runtime, sharutils
Standards-Version: 3.7.2

Package: hermes
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python-imaging |
 python2.5-imaging, python-osso | python2.5-osso, python-hildon |
 python2.5-hildon, python-twitter, python-facebook, python-evolution, gnome-python
Description: Enrich contacts' information from social networks.
 Hermes, the Greek god of communication, will fill in the gaps in your
 contacts' address book. Photos and birthdays for your friends on
 social networks like Facebook and Twitter will be used to complete
 the jigsaw.
XB-Maemo-Display-Name: Hermes
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAE/pJREFUeNrsWQmUXFWZ/u59
 S+1VXV29pLvTWTtLd+iQfd+EhIRNNIKiEIyQCMMwinAUUYRzgGAcFBkRiJqw
 qEH0kIBxkkhQdLIQsmBCFrJ1upN00ntVd3Utr956539VSUxCUHCcOTNnfH3u
 qe7qu/zr93//fUyIVhQeGel0N15Z9QKmT5+GQVV9oeshnrPbRCQ6EY62RzgQ
 +KDHFDb+no/Eynku2yxkqZz5fRnnd29twVsbN2HeVR+HY1sQQpyW+iKPnuES
 fTjgtuSVSpijH3el+/tK+FcexmxJUcMkqIOcGQZH3nrijOA4a3awM0uwavUf
 2YhhdaKsT4XXsH0exoVH4pJCm+g0q/0vHSgz/ncTnktRFcIpVRUvs2zbAAxz
 +OBRGTjM6OzUeHmpzzmjCLPMY2cVgJBDhp4Wmp4LBHy+KsZYgHMeZIz3koh7
 HLsr9T9hfS4VV5HDax3H4SRoyrbsXpLpZKQo6nS0dliwEhpnBcPLwk66jgGp
 hGxO8Qf8viqvUATnqAfjJaRYmPyZhLDTnIf2O07K+u8VvshPAtVRwEwiA9LR
 SAoujns9KphwFC7zI5puofA/BlmSZJKz4H5dt0zS/FJF5kwIewTnUj8GHiIl
 0rRpAkxuwweFEieXCoa/kOcfJnQo90Q/CoaJZNtJgEW44aRIzqCqquW6rrVE
 i0L7PIoJyyJH2DakUSMrUFVZBVmOBiWJFzmOPZXCfjLpV824MoTU7ENKxBhz
 YUa0Me7vFEIz34caOYUsRDP4364B455SUmMaWfZKxqQRpEiMQRTRIPOzfhQp
 xzhT2j2BEnPL5jfsZcuWQTYsG6rHTyHk+GjBJZSMxbTTpYIJDzmolDFVcQi4
 yCVjwJxjtEknl0sOO1bXeUrwFvJ8VIdTpNO0j5jQpDmTQgHaZTgJP0UwqY5D
 rRB5DwiNceYlbyS5JJeTiYbKEttumBZSqV7X8Yz1piVuGhon99cKSa4hi5dJ
 zFsJzgLgAS9ZnTaXB5F5J9MGo0mfmCskc6Szw91J8IIw+fERo4c06E+fk4Vg
 YwClD53r4Tzs41wmDPVWk5zFBCZjhOP00bVe9Km+hF//2QWQS2KDeCTsK7ct
 PUbxFmZQhtJmfsaDXnDXc65j3CS3IszO1hGkTqWDWplcnBFW93moxCyeDyX3
 cchvfzUfTiM4k4rK4ArOGCUuGZAHfGQ0F/bpayEzYcjMsaOCGUMoNz1C8OpR
 dUPi9UNLeuTZVyywk/G9eiAQnOw4BsU7opS3Xkgh2p+fPYk2lYRjVZJLx5J4
 VL6dLi4F9n/ywEPqHVVjMLayf7b8qcXYfNMSKFQHH35nbWTtoQ3BnTc/G87m
 evseTXaVHU11xdKWHrDhSIrEjcpAND66dFBqVMmY4qytTA3KwUsj3tJoQfjT
 57IgfRpwuBWBbRCsS/XkpR7O5A3tnXEhm+lGiWpQ2tT1XkVRLiXv+8D9DOAX
 VEbVVcInHHuwENZEUuSU6SARz2Q/05ZLrUuI3HuQ/HJHsidGeTQ+rmkTYGj1
 4351TyXMdASOESKD+kkm5bRlqNIjB5WbiAyVECnzPD74Ov8Xh39a8jA/PJLn
 nLMVmurhVJNLCEuGW6b9ElVqAk+JsUTH3kjIF7iEZtRTAi3kcnA8hQfF5MUS
 kVxq9jqwsyeaEk1/Wrz60T5vdq2fhAH4wlfLFoce3/3aLejsrIdERnANF6FB
 IEy/W/RNJ4neSyNH/zfh+AgbSFIzXAydRZHq9iKRY3CDUgVWXPcc5tdciyKl
 pHC0nYWwejTb1l4j/dfYtr1Py2Ub5FQqramyzDyKZxqTlFLm1ugPpAXkGDnA
 3z25o+/o5+6qQvKQgtHkXwMrHt/+EzkvMCE4yqEhNmPL8NDgXQdThxvvK5t+
 aH6krmmMr7JNRigHTGAic4Ik4zMEY5+kMSPDraod2nG2pn0nRLITt62+FbdR
 yRw385+wdvIDKFP75JkPwWudY9tNuWxueyqbteSy4lgNleU6QhabyBvFv1/6
 oJyzyAoLXvwyXt64XMYg+mIaDS/Zy9V3SNhC2exty/tM//Gi9nd2vd13btPE
 8NA0O/RVpFQbuscmNzgkgg2RbgkJSHW0ajpZczSTvOUhJcQv9/TD5UXTyc82
 bhp6I15rWoelq+9H+aGf4/X5qzGnaJyXmVoQtqP6vN4JsqLqsm05tN5L+CtN
 pVjzC66cpXfnPlsbNmLK83cC3fvJgPRFacHV8FRgae3X9k/y9XvglDDWfy42
 QF+U+xO0sCh4bFs3mkON2BFw0ONtwzVjFnoJSQZTjJL1+QRwuT+T/WQE+Rw/
 S5hYNBITR4/EVf1mY8b6ezH3B3OwbNEK3F56VRnJOtO2zGbTMIhZCFbFLap2
 MlQmBTwudJ7/OLh/zbex9OUHcI7VCxDoyuiUoUj4ozPVyZRprPgrD97diq7d
 WBbpwgYpBrZkL34Dd9DU7maZ8HgAB59OsTCdIHOYkKnGnJOwFz7TY+Ng3LQe
 C9/4Ku5YcRubdc9b/qG8SqVI70PoUyZzWclSNhPYy/4LYz+t92DpmqVYuu47
 ADETDEQBnHglJehQPFL9KXyxeJad0HTbFmIOwUT6iXu+bzwZrYz/EofON0Pb
 EVJZqiSUozrCLyPwr4fsjTLF91ernEK5/sLs76Ih3Ybhq2ZK9meawpIAV2Rk
 ZEs3w6pHImhlJiuQ7HwEtSSP4+pnFmF34++AmfRF9TBcEb4aX6+Zj6mRUYR+
 AReTwGxbKmOZcpjGFAqNDM3URHfLDhatzJyX/p5QGbmM5rA5hH/joHjLoAYY
 LhqwF1GC+7D+6qcRe3A1Xuj4deSW4rm+XM4sYnrnsVFE4m40LOeGEx29Azvj
 PYz7LEzd8BUg9y5w2VTcX/JZXMVrUSmVIBiqguRVkehox5DamgKL1bJobmp0
 GhqOpNLJVFNHInGgtbPrhGlZeb5EFD1YWVpaU1JcVOsLBCsrq6u9dZeMZFyS
 kMvl0NzcjGPHjoH4f8HFeVYo/lyp6ScQDGN0zTAEXroOKGnJNV65YlmF3e8Z
 6G2Ns+zOEz9/d9ObCS2dFfuMRoEnhgisvEJsSGwU6VxaiCy5hj6MtCV6epIi
 k9HEyZMnRcORBrfFEwcPHhTJZK/4sE88HheHDx/O/753715am/xQ6xxNiF+9
 vVbgIcm+deudO7OnjtbLjgWX8KRMy0lojhF9fvsqvHrNs5g9cAaYrkDRMoiL
 ngLjcuszkXPHMRGLxdDQ0FBo6E0TElkTVhqv7zLxgzcZQl6ZyB3VJV1C2GMh
 owN1sTQe/rSKcDCIlpaWs2tlWUayt5eomEDhp/B4ZQl+vzdPFDXNoJ5Kwpz+
 lIy6zZ9775mKp6ru8ciOLY4SmdzGcvHxIG6wZNSX4FE4lr/Xg8UnLHRM86DE
 S5tSUclYDDq5mVHjQu1EviMqlPrCp2HaiB/fhhMHBfb7J4Nl4qjl7dgvKOnl
 EI56EvjGJ4qpO3HOW+uGDrHM0yFECU/fqRKHppv4xR/24VhLL+ZOGIxJI/pC
 YpJbTAS1Vcy0nRZOSRyHLbq9rW+WmjkDWSMHkUugRSc7kNXWtVh4/ZSDf2+1
 kTQLa93rlQtvB9zDZbJYL6vGCbsf5HQ3vjnFxKbHB+Du0VR8ycIlUo4EFrhg
 aX6vcweopgZ9Kp557U9Y/MJmvLKtAS3UjhP1Qf54TrXfhGFlct0ySA3b7kq2
 H97pj86jdHHsPK8vIVbc3ydhYYPId3bEYPDjEcDC/hQWNIefw5W5S7jJarph
 ocg5gZGsF5t769DS40VPLoIWl3VneyhhM3nhTef9NzQFLxQSl+WHjI5kFrMq
 olj+rfmoLvJQmGnwEK8nFdzAzxHrFfLhrY9A9YYqta73goLi2CTg4OSlt3sc
 HO8Efjqeo1RmdKjAiLCD7hyZgOiyI59b6qh30g2EwhwZ3g+b2zpQpCZw4EAv
 nnypGUePEqLmwuRZg+iIBW7aF3iAbESdoS2cvDFiER/u/8lv8fLW/ehSFSy+
 61ncvHAmbr58DBJJ9xKCKGEJmt/r6tblk9tfCVmaVRoK+ryOrArk0mROB/ty
 ZPUWB1Fq+uf1cQ+giHIYWZTKkezG7fn47SZsb1qHRz+CQWYrqgYOw78tmQzD
 lnGTyOHz/7ILyXgWbpi7l1XnK0Amdb3iiMLtme2gqTuNrmNtgF/Bm5Tkt3AO
 mRTtyaWJLRQlPj1k5hZ73xGig1/7qWfgjBsjVk5zhcpfGKUN4LF+Lg1muHY9
 JdwvbCgvOPjuIQcxD3nAeX8O2HSo6pWIERej8YSKfv0C0HxB9BC3soJFKC3z
 IJtN5enHhWvPjX+q6GjtyeD5r1yH4ROGUFk0sWPFl3HD1OGIU0gljBRDaaz1
 rrqZ6xpONgrZkVSVK37PmY0IqxAnBS4rYfjZDGCBmwM2WTtMhNNHDiJPWMJF
 In5OTy7yQ8+ZCLAOlBe3YeVPOTa93YxgWEVPdw4tFE4VJTqFkAPl9Pyzyufj
 UOT3dS813DsqZulwTPeWh+LF1EClB26vlZUseAaUb9nT0dVkJlKMgkHPWTaB
 rOPmj8Md272DcHCKIHM+MU53GLQpoRqFA5CgjSRCG06DcJMy0tWI4peQw6dK
 0OwQPJ4AxtUYSCdbicAJFNHa8AAJ9YPcOyhGc93GyC6spT3c5HXveVwDOvkO
 vOCN1Jk5MjWJvijMRBsoUY0F+2NPTKn4RNcGbbmQN3xvcY66nI5iFwAy3ay4
 vJqaNxIoj8nU/xHsefLoRSSX5vhoY2o98xRA0ujUjMGZiz7RIk4P7rx1Nu5a
 dMV5XVyBExT2c6iGZDJZ0BrHrW5O1nBi0ahcFAkTnTIJyUxkNZ0IagDlsUq0
 lhNwxE+h7N0foqx/JeyKz6mrHt146rn7J4p/ve1OyMOu/nw3abur+ecrku1v
 P9O6Mj5iC0+1lUXCYa7KaiDg81fIkuQljHfvSV2uLehvNZtKiSunzEjSid5+
 JeXS+lWvSVRlMlpO7+jVMm1ZTeuhKmu4WpHCXq/HE/R5fNFQIFBuZrXQtTNm
 UTya1sDScnvlshVhIlgOV1SzNBZBrDTa093K2ENTzZIO3+4Alt2H5oFjd/2m
 87YD+/Y9kujVUkaeFuRvQuzdJJIjr7n7ynfrqtO9fa/eMy0QjrCmpkZvZUlp
 iexRpkiS7Ha2dcQX3NsxiiinmEmy20Ca7n0abcYpxpqhSDsQ8P6Byug++l4j
 eiEKCW65DK3YJeROWhvDc+ZUqj+DUfBy4ebcEV3CNPS01u3fsuk59b2NL9VU
 Gm3l9WXw1l3/mVWb06P+ecTQGzpjtTWOS1vcCr7087dDlgqdkDX8U1944p2l
 S5dXjr/jzh7/3KfaDldnBtYMsa1Meg+VX7cAJ0h4l36a1Aa6bV3fQsWBW50y
 lBhH4VV3CkU+XByNau6mQeI86bRWSHMhEnm09XncS02N6mgzKVCU7DpcroT9
 Ssept0Lb1z45qfNQQyQqQ5leAYJioPjyh56zK4fenfntptTYm2/N86ZzUYyk
 783X0tpZn1rR9PvVt25d+ca3rnhs3u5HV6/YvPbG6w1Z005R82FTZmfhCsHc
 K7j8LW7/071ZgjK6nQRvEx75pEf1asw1Kg2P348HH5yPe2+fKb73o/9wD87Q
 SqouprV105Mf62ltqT2175URPU3JYJh2GkBC148CYtQ5ePvO0/3jFz56qMP/
 2JRBnxO/fPqmi7+X+HND4eCS+TfcuuPpJW9u+c69v1n58KLPrnnxxdfHThif
 rKprdIzjI001GEznr6CJzRFydOTB1b1654jbKk9xIfT1v74P3a0nEW8+iO4T
 e3DfN27AkW1v5O8MaK7lKsFk78mGQ9ti+1/dMPHK6UAlNUxBPwGEezsaGgC5
 77zjvHjQHW2NNW8Mrz/lJJu+j9+u2/lBCpxDCEzj0KA5029q3bzpV28/tXzd
 +EWhbwbK0y/mzCGnzEFlOTWudVLiFYoRFWVwHiAgJvIkssywTSHL4mNzH+In
 9zzstAbbcNJII9mTQm9Kz6M0I4w8uP2Hw3q6EleabX8Ydc1soLYKhZaYhhS7
 DN6a2Wvkosovae3HjldOoujM/OWO7fx3ZITHjpH7Y938Wy7vPdr4vXee/f6S
 WF2fBWVjLv9ZoGrj2tCln3h3+/NfRPHQGSgZNNKMtM3RzCClkc/jOHraMRI9
 kPoUo3rkA6yqHmz89e47h52EQeGxz98TmlzSd/q4+IENH5eS8NcOoJAhiiK5
 bx98g6FUTG1XSoc/4q2b9rRB3mPiw10Qv+8lX76TY9LefrPmfpI5zTfonccf
 a1y1colcgvsa1j3VxILhnUTctho5/UBv9VudisefZopCzaMpWQSP2qlUrOtE
 w4COo7vrTuzeMMqjlvXn2Y4B5RRukcYNGD2MYryEWhIVTXoSg3mgWvHXL3hV
 HTDm60bzgcMw9Y90rX3Rt5RulpvpZMYXLX8hGFF+MXje7Gu6965elGmP12ba
 0gtaGn90WyNlA9UvONIZOlwY3ClsGqSkvJSqeCDQgeIYcqFy72E1MrYd0WGb
 pSFX/0yP76uyfv/QysD42x/m3vJnmId4iv3R3l7du/yHF1fgTCvtvo9ltq0L
 J7OqbOrXVgWHjI1ou54e37vnlVpvxdRK4SkrFtlk2DF6I0S4VSp2tqIGM3Ig
 mJJ94aTT8nKcB8e0sP7XNKB62j5ic536oVcJtFS39uihCXdcq1SO3m61HSHt
 /7a3uPKHmnX2toUnCSK3ErvY76uZFVFiA/sg0xZDpjMGW/cxWbHgLU4iUNwN
 b3mcd+9uF46VJdhKUcOTFew0pSjEdxvF6sk/042/8bWUEP+Ft3L/Cx6O/+PP
 PxT4hwL/3xX4TwEGAON+0/6T7Ga2AAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/hermes.sgml > hermes.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/hermes.
	$(MAKE) DESTDIR=$(CURDIR)/debian/hermes install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hermes 0.1.0

=== Makefile ===
--- 
+++ 
@@ -3,12 +3,10 @@
 	uuencode -m share/hermes-48.png - | perl -ne 'print " $$_" unless $$. == 1 or /^====$$/' >>debian/control
 	py_compilefiles src/*.py
 	mkdir bin
-	gcc -o bin/contact-update -std=c99 `pkg-config --cflags --libs libebook-1.2 glib-2.0` src/contact-update.c
 
 install:
 	mkdir -p ${DESTDIR}/opt/hermes/lib ${DESTDIR}/opt/hermes/bin
 	ln -s ../lib/gui.py ${DESTDIR}/opt/hermes/bin/hermes
-	install -D -m 0755 -o root -g root bin/contact-update ${DESTDIR}/opt/hermes/bin/contact-update
 	install -D -m 0644 -o root -g root src/*.py* ${DESTDIR}/opt/hermes/lib/
 	install -D -m 0644 -o root -g root share/hermes-64.png ${DESTDIR}/usr/share/icons/hicolor/scalable/hildon/hermes.png
 	install -D -m 0644 -o root -g root share/hermes-48.png ${DESTDIR}/usr/share/icons/hicolor/48x48/hildon/hermes.png

=== debian/changelog ===
hermes (0.1.0) unstable; urgency=low

  * Improve error handling, including opening accounts dialogue
    for failed Twitter auth MB#5352 (reported by Zach Goldberg)
  * Use Python `trans' module to match differing accents (reported
    by Valério Valério)
  * Add ability to create "birthday-only" contacts from Facebook
    (suggested by Jussi Mäkinen)
  * Pull down homepages from Facebook, and extract URLs.
  * Clarify accounts dialogue & Facebook authentication (suggested
    by Keith Varty)

 -- Andrew Flegg <andrew@bleb.org>  Sun, 18 Oct 2009 09:36:36 +0100

## hermes 0.2.0

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,7 @@
+#
+# Makefile for Hermes: Contacts Updated
+# (c) Andrew Flegg 2009. Released under the Artistic Licence.
+
 compile:
 	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control
 	uuencode -m share/hermes-48.png - | perl -ne 'print " $$_" unless $$. == 1 or /^====$$/' >>debian/control
@@ -5,9 +9,10 @@
 	mkdir bin
 
 install:
-	mkdir -p ${DESTDIR}/opt/hermes/lib ${DESTDIR}/opt/hermes/bin
+	mkdir -p ${DESTDIR}/opt/hermes/lib ${DESTDIR}/opt/hermes/bin ${DESTDIR}/opt/hermes/share
 	ln -s ../lib/gui.py ${DESTDIR}/opt/hermes/bin/hermes
 	install -D -m 0644 -o root -g root src/*.py* ${DESTDIR}/opt/hermes/lib/
+	install -D -m 0644 -o root -g root share/account-*.png share/background.png ${DESTDIR}/opt/hermes/share/
 	install -D -m 0644 -o root -g root share/hermes-64.png ${DESTDIR}/usr/share/icons/hicolor/scalable/hildon/hermes.png
 	install -D -m 0644 -o root -g root share/hermes-48.png ${DESTDIR}/usr/share/icons/hicolor/48x48/hildon/hermes.png
 	install -D -m 0644 -o root -g root share/hermes.desktop ${DESTDIR}/usr/share/applications/hildon/hermes.desktop

=== debian/changelog ===
hermes (0.2.0) unstable; urgency=low

  * New icons from Tim Samoff.
  * Background image for the main window from Tim Samoff.
  * Use URLs in profiles as a canonical mapping.
  * Provide first pass at manual mapping through the GUI.
  * Revise language on two buttons (inspired by MB#5452, reported by
    Zach Goldberg).

 -- Andrew Flegg <andrew@bleb.org>  Sat, 31 Oct 2009 00:41:04 +0000

## hermes 0.2.1

=== Makefile ===
--- 
+++ 
@@ -24,3 +24,6 @@
 	rm -f build-stamp configure-stamp
 	rm -rf debian/hermes bin
 	find . -name *~ -exec rm -f {} \;
+
+package:
+	dpkg-buildpackage -rfakeroot -uc -us

=== debian/changelog ===
hermes (0.2.1) unstable; urgency=low

  * Change type of stored Facebook UID from int to string (newer
    Facebook UIDs > MAX_INT; reported by Attila Csipa)

 -- Andrew Flegg <andrew@bleb.org>  Sat, 31 Oct 2009 19:16:17 +0000

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  social networks like Facebook and Twitter will be used to complete
  the jigsaw.
 XB-Maemo-Display-Name: Hermes
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Hermes
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
  d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAE/pJREFUeNrsWQmUXFWZ/u59

## hermes 0.2.2

=== debian/changelog ===
hermes (0.2.2) unstable; urgency=low

  * Ignore Twitter's default profile image. MB#5980 (reported by
    Tomasz Dominikowski)
  * Further fix for Facebook UID issues (reported by Attila Csipa)

 -- Andrew Flegg <andrew@bleb.org>  Sun,  1 Nov 2009 10:51:52 +0000

=== debian/control ===
Source: hermes
Section: user/utilities
Priority: extra
Maintainer: Andrew Flegg <andrew@bleb.org>
Build-Depends: debhelper (>= 5), python-runtime | python2.5-runtime, sharutils
Standards-Version: 3.7.2

Package: hermes
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python-imaging |
 python2.5-imaging, python-osso | python2.5-osso, python-hildon |
 python2.5-hildon, python-twitter, python-facebook, python-evolution, gnome-python
Description: Enrich contacts' information from social networks.
 Hermes, the Greek god of communication, will fill in the gaps in your
 contacts' address book. Photos and birthdays for your friends on
 social networks like Facebook and Twitter will be used to complete
 the jigsaw.
XB-Maemo-Display-Name: Hermes
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Hermes
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAEs9JREFUeNrsWQeQXdV5/s65
 5d3Xt3dptQVJSEJCDTUkJBliwDImg2ku2DE2hngcTFzieGyPW2w8NmIoHnBo
 MRNHZMBYSSiCGMnCkhBircau6kq7q+37tr5+2zn5793VSqtiHI+dGU98pbOv
 3HvO+cv3f///n8eklPhzvtirrz42+cHTJRjgSAz2YOXKtayooEKRUpGamiE9
 pfhdCymM/XEEomG6gK6AW26YCSHQ13fC3brtv1FTPQNMD4wLevr5Fzc/OEUB
 QwXWrb3O0FTNcIUIKIpC33BbuMMD/1cKuLycc1hlQjqKcIWtqIppWbnsy69s
 ttVwZOrz0j00+UG40QjnUg4ODxmxSLiSboc55zHGWBrQmoU7mLrYxvyPiQul
 oIT2nielq5AHkuT8dCqd6y0pK3NGEwk3pOdypx9V29o7PdtDkPkLYtWBeCxc
 HQwEHJo0R+EaLYQiWowEd0gJNPsPX+ASfyTZOY+Sx9FI2yyjfT3HjhB8e4KG
 5rqOHRwcHWp1LRtswmJqNBqBbdvI500Edc2kiQt0TSN1nHm0Wi2DiIIx0pil
 uVIwINzR/j9tVCpVtN8KereSzELy8xRjzhFd12KunTdrK8PNJ9qHGZNcejoo
 8bgD6VhYMH9VUAsoUemYq5iirWCQ1QSd2WBqJYNSgvEg7mI8mJAy7zDJcPY/
 oUsfwGwSyX+A9ZWiGL0spncfYIxfTooUkxwFtDpnTK0Trt2lGQWdgqxbUMjc
 eEEQasgw6DmGQDisO2Z2Aa0SYcylRRSNMaWcMU0X4CSus1jCPUmKJGiTo+dC
 KXAkTnIz2A1jYOJ/GRFMkuEjBB1xCQm/muRZIJleRbAlU8gcuK5Dug5XlL2u
 K+aVl1e8fbK9Fb/d/QbUbD6PlauvRj45ytSANpsp+ixasgQKj4GFAjSIEQSE
 yMygKF9O9zq4Eh+RTtKHkvSNTbqocvz1DyYjXk1jKS2wVDK1hvNwUHrryYwG
 mTdIgEEO/XJXOv1mekh42xCswOvqFvGCwopSwkeRkG6Q4DKPLE/sUxBk3OCM
 hyhgImTcYNy/B6yG5KRoUdjjHmYpUEz9TDArAnJikCveY8gJ2BcV0t/LyBpX
 0h6zGQtFGA9TCIZp35DKeTxEGImTIHNJEUMoRkVd3axSi4JZXbdinujr6siW
 llZuEMIm6pSFjIVDjEenkCPnEU73q4gRljApeui5Idr+kBof9SAJFLjjUPLm
 qJrHDxOx4IVOTrFsK5glFnGEq3l+o0toimqGlQrBHEnQYWs83EsWKOdKdDIr
 eHJISVBiVpTYNErP1AdUPXO4pfmFmz9yJdS8ZaK+/upMPnl0RNECSwntBmOU
 js9ldkapkQcN6Tj1JPAyWrWLs/jILzpemafqgaEPVV7VBFjImEMFv+1tmXti
 LFH3VqK9/omBI5dieN8lcGwiAnhZSCe5FB9vlK1gIIPS5fkfX3KDcW3lspKa
 SKMWR4HHL2e2Zl4uNQjJ6RiHstTK5V6+dB73LcbSI0diQcOol0LMIYverarG
 KqkWEnSMCyJV2mOEtGwnpLXrqzt+FP7Rjp988Ie3fukemXbx1aN71qFr5xXI
 oQ4eqrwlQjQIbAj6oqegYZgGRTpsck4QeZQjSRKnSGIvPXli1c/Gkwu/gttq
 b0BYLR7fV1iAPUQVQe6/KOT/lTxxzDSz7ezUsTdYaUn1Ci0Q+DRhfzlXQjOh
 FysXCzXPnYmxFqf86Ttc9B4MoIHE8AQbQNwXmNIeikm42LReFF6++4clC7cv
 ClacLNeifaVaJBFVjWSYBfIiNz0kpbqMQHaLy+Q6i8sZSSoido4cwM17vwsc
 PuBzwmeu/jp+Mv8foFEcynyvSdn5kBDWm5ZpPRkq6m5muZHjxPVyITlpNdeM
 m7leWAI1chHxXTzT9DQ+9cRdAEULZtCIT8A9QDoXXNnxubIrXvxCxdJ/qzOK
 jikwkuNQdCdiQYwzVaoxIBgnsmAfomi4nnF9DvQokcZpMpBIOwncsu+f8OrW
 hwEK8ZMfO4QZWjWENdwhHPs58kITVQ+7War/UEUwGLoLXP0I52ot06IGZYfz
 RM9YCSx+9tM4uu8//USPktPwYFg3/d7O+6tWPrAoXvSMykLJM2UZOyuQxw0g
 hkoYCTuL1LpGegpwZQnXo3GowQuabCDXhvIX1gH9HXj7U29gaXBumsjkBKWF
 f85lMy+oBJs5cN1aeg3S/8CFhD/QswuXf2/VuLUXnmV1fyzE+4MztCuUFV0y
 yXQ3chSDg0M4dqwbBw4cR3//iD8oAaGzM4HXnn+pmhh0GThbQ4E6hyvB2MWE
 966yYB3cjx3B9C2fxLIn3ofWz74VqlMqg1S8zSIPNqi6qg+T5QlFnv8Udi7e
 N775EL708y8BRHSYPhGQGuEnPh8fLlyMLxSvFguCM1yC7/Vk7SxPz9ldU1Mz
 4jju+QXfSE8ZvSwny19LRLQUqlEOPfKeqY8zA53XPQs+1obGV1Zw+4aThsJ1
 N6BjSCVKKlZCkTBUIm/GzkqkFj646TN4edezfnUCSuwovAnfKboSt1a8DzOi
 DdBUw6MHznLpUimtpfR+lOan7ETnXlZYlZ1ijOEeqnOI5yWuIQZZAiVQzQJh
 jt+zjyDcIXPjKwjfX4KHul8ovrfslmgua5aybHfrHC0YuElh/OZd+5rnZS3G
 4kUhfGDfdzDY+ToJX4Srqz6DT4YXYaFWT62NikwmD0IEli5b5tdRVObi16+/
 LlLpseHkWOpwR1fX/mMn29rkRL+qqqoyu7Fh5rSqygWxeHx2LBaPXbn+fczr
 lVzXxc6dO5HNZv21zhPcW9+VPgTrppXj7sMb5Q7nOdvecPzbubTzHNIdRy93
 BzueOdW8d7DjZJtM21mJn10l8XSNfODYs7JruFu6SUuao3mZHEnL1FhaUukt
 e/r65N69+zwZZXd3t2wjeQXRguPYVLeeHs5Z78c/U4MiE4mEfOedd86a2+5/
 b1nWxLAnhjVliLyUm5telfgG5PH+X20ebTt8iaooelwKxbJMc1SPqsWPHNyE
 xxd+Dh+fcR2BlmIFWSTdzJkSmSzv5h2EjCByuXGUeP2Ed9/Op3CgXeInWyU0
 CiePQB36qzDPgoTCSBafv16huQGaO95UkWCgthXpdNr3xtTmUiKgqVQB0HNe
 TFGVu6hynn93f6q18IZQXZEqXNkmXfkbjduz8qnhhrsbPowCRcfmnix+2J7B
 pss1VFEf7RAYLCo9qfChBanIPec0QwgXtkPqDrdjuCuL3ZlGGMIkCh/DsBuB
 EgxDy4/g9uVB1FbqU+DiwYP6b3gN/GRHQUp7W+xu6cZgMovZ04tRW1GAmEJF
 arjKPJBsHd4QWznEbdMchiNG9KG3S4MUuIKEzDoZnMq42G0x7EgI7BwU2EFj
 1BJe60IbyfMU8D6SITFmhnFwsBCGlcbaqhRe/VoUN83OwMykERA5/8Hz50o/
 v8mJe97QVY4tb7fii09tw49/sQctbQPQFU6diZf5q7JZJ0+laHaMC8uzrds3
 euhXEUcyv/ESNILktoVU49/ZJrD+kMD7WwRe6qG5XPjPTHU3/O9Mm+ZmuzBL
 OYp0Kkk7qVBixcSWQZjpMYJe2rcyVaTneG98zXHhaW0auqrgRM8YiC/xyN3r
 cf2yBqTyljeXHrByBMsRwqfNQ47MQj0e6Hz3tRJqeUBBCO+ZE1kX+9IC36+k
 mK6lmJ4hsbpYULVJAhAez1XA+85rfFytDPv6wghaKXR0nMJ3Hj+Apn2t0PNU
 6VDMOI5DQogpXnBcx59/el2DhH/0pSY8tecommjOXz3+Gv5j91FSxjszsl2Y
 fYFyI9xmlNqj6uhoGmFlf0U6A12oQVe6QuGKi5YM4bFPoHSmilspBxB64HmI
 kDVxBiTPPl/yBfI8EFNTuKxgCN25GL7yuTkIR0O40bbw/QcP43hH1o8VP5Cm
 eED6XvCHF7jkgRMDY+g42eXdxBitkSOjen141s5rsAei8+LVLZRRwZ984qfU
 HfYVO5wqSGr/vUXyhKpPlNMmOsMn9pBFfuUiRuORNhdhPu5ij5vPbou9eWQ4
 DGUUbD0qMLM+BKUojjFiDicaQV1jAcFqbELQc05mpJhUwFMuTXnm/o+uwvqV
 l1IRZuLlL38INy1rRCpnUhzSBqU1iVWVDTs8SlSVshIupR2WxHZi/EKGFlxL
 xdrT1KF+6piflH36tElo6VuLMvYFAtG0qFgzB7CwqB8v/9rBqe4xhIMq8nkX
 bR0pmLkMJT2X1hDnecCdwP7py9/L34ONQ4uGTzDCxrraK/ZG8utTD331G0yd
 Wz1NQGkzqYXVpWP5hvWETJPQG0qBrmJJ7huvknQK7KTN/OzvLc29dOzxsycU
 bebRqx4sRECPYvV0Bis9ApGSfpswt1RBfEYABinkUaafGLy5tusfqvnMNkmj
 chJO3nvHC24q+KRJfZBpYtVw2VOIHHHuffR2UMOsQIsW9mreeqk+JVA2jRa3
 /ALYnmjsouwsqhxvkCEoGJEzXWRNppg244qXuTSsuaIBa5c3XvAAj5PmXhy5
 NvW4JpmK4KHkTaFpCtXBBuni+J71lOFUZjgu87tsL9Gx1s3g6X4UVW5wtj2+
 ++iDQ8IrUfyCGEbNrAOxQqQHDm9JHziV7ZRmLhQ0dM+iAV1RY7SxRj2mzjjz
 Dk8kvVeTY2Ni1ZzLkshZekk4pux6c5t6IhomknFSJEjSsu0MMYrNvUtRSEQl
 QH9CAUWLZ5Jpff3iJQ7ylig0wtab27fHA7EI5S7mBoI6wiHDKoiHna+vqwqk
 GtvD03fehOaxvkRy6RM9LU2vtL319sG+nW/tH094L218BB+4bzGaH7lje39n
 a3VmyQ/m37DmHic/MqoEDKOcjLYa3jGBFLPJFPUkv0nTCghH1Hn7xwVeRalB
 4d1Unr6DkL6d8r+3+ihlW6/cOZ1yCZCoRSa/kJReTeaeSWsy39WcKeTeIQJ6
 djQ9UDg81GzKwV318dTuiq6DTeHhUEFTxY0b7+AnKo5cesv1U1yrnn5TddXt
 j/U8/N1NaxsTd5ulzRsffOZJ/OPHNnY7+exBNUANA9VgYGKQhCVkyRBtON0/
 ioPIkPA5GidgaE1SV1u4f5o9WU3KiSBPSK/BCAUsZlONYTs9FLXUiYk4lEQR
 WD/DUPP8YO/+6SWJfUqiYz9e20u6NdRvv/ErD90mlXDftGs+eB4sJxTIomj+
 dc+VLn7+k3uf3vjAiq817tu/pXs7Pmw6atDoJuB64ZCcGB5IvTqtyzvtojFK
 FuyTGu+VAbVd4XxSeF1XUVgYwpw5dbjttqvkpk3bUgTxPqjWQYFdc0V+ZGa+
 793LrKHjJSIzAJFvg5nqBeU/7DlOnevV1/77dZ/94l3r592b3rL//gv2CeqZ
 tzZm3/rNe3fe/5Gd7/70b1/8+fMP/fXcpSu27/vNW6P6jA7HPlZjaZpheomF
 hPaqr16oLAbP2pwNUGB4JWv2l7/8FsrKCn1WuuSSakSoVwqFYj4dEJqEd9Yv
 FaPdHm6pSu3/xTppdfjU6+Yph4wA77YBJ0ZgXnP33325pviOx3Qj5exofZSq
 1cx7KxAsmn502X1PXbfr4Ts3791479amX97xbb2m+UEgltRmtubQfVkfUQOH
 ptFMRrWB536Cg2BZYegmpUG2YcM3uKq+NUHozkRDb9Gja7lH5BxNRW7q2I3O
 YPNimO/ATZHWVOOdGgSayOrh2oq9d37r2/dU1y/YQ6XhBJtd/LB4IogvPeur
 ENLDp2a9/dR9/2K19i6ftwQnK678/GNa3doXYVSfHF/Q8U8Y3GONKlOYVyO6
 ZiQgEdOlwg0oOvEJiUos5B0hgrlbp8tk70p3qGOd09W0wez9TUVmZBhUYSBJ
 hm1pB9rJ6lfcdPsDa2+58weKZhAM81N+//E8UFt7G4aHp3qC3fnxj+LJZ//m
 HL10IgQndGTbps+3b33iPupDymvqkCtfsGZLsGrxO0p82hFEK1sRiA0T91Mv
 6B3zUS4XrkFpMyZzYzWUdBpkZrBejJ6aZ/e3rMoP7SkcGXTR20cl1jCZqQT9
 lFTDbe2I8PLIoWvv+tYXG+av2QKkL/B7z+9QYDxdv3GRX73CyGX6y7qbd13f
 veeF282e1nUhqqDC1OBE40AwgqxGDlP0IuqkOZfOaMgxnahNnGRSs0ZNFqhW
 RJooIO0SeWroLJ11zdb6JWtfj4aDqed/8PcvXLruxp+tue2ebwYCMcJL5qK/
 wP0BCkz+4jZxyOmwbCpRlUp0NSZOHFw02vnuIjfTX8NEKuqYQyHpwjtQF4wH
 81Irzrg8mNYiVacKa+a8W1I761C0rKIzEi/s0tRY1qsix3oONGSTiemVs9du
 w+ShKP4UCpzdo/KJuNdwJhYEo2jQaB2KBf/cnAoAhW5Q7+Q/h8mYOXPEeNow
 3lrm7/Pjx3sp8Od7cfyZX39R4C8K/H9X4H8EGABokcnRq7TBKgAAAABJRU5E
 rkJggg==

## hermes 0.2.3

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control
 	uuencode -m share/hermes-48.png - | perl -ne 'print " $$_" unless $$. == 1 or /^====$$/' >>debian/control
 	py_compilefiles src/*.py
+	cd po && $(MAKE) compile
 	mkdir bin
 
 install:
@@ -18,12 +19,14 @@
 	install -D -m 0644 -o root -g root share/hermes.desktop ${DESTDIR}/usr/share/applications/hildon/hermes.desktop
 	install -D -m 0644 -o root -g root share/hermes.service ${DESTDIR}/usr/share/dbus-1/services/hermes.service
 	chmod 755 ${DESTDIR}/opt/hermes/lib/gui.py
+	cd po && $(MAKE) install 
 
 clean:
 	rm -f src/*.py[oc]
 	rm -f build-stamp configure-stamp
 	rm -rf debian/hermes bin
 	find . -name *~ -exec rm -f {} \;
+	cd po && $(MAKE) clean
 
 package:
 	dpkg-buildpackage -rfakeroot -uc -us

=== po/Makefile ===


GETTEXT_PACKAGE = hermes
PACKAGE = hermes

SHELL = /bin/sh

prefix = /opt/$(PACKAGE)
DATADIRNAME = share
itlocaledir = $(prefix)/$(DATADIRNAME)/locale

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

GMSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT = /scratchbox/tools/bin/msgfmt
XGETTEXT = /scratchbox/tools/bin/xgettext
MSGMERGE = /scratchbox/tools/bin/msgmerge 

PO_LINGUAS= fr_FR

USE_LINGUAS= fr_FR

POFILES=$(shell LINGUAS="$(PO_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.po "; done)

DISTFILES = Makefile POTFILES.in $(POFILES)
EXTRA_DISTFILES = ChangeLog POTFILES.skip Makevars LINGUAS

POTFILES = \
	../src/gui.py \
# This comment gets stripped out

CATALOGS=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.gmo "; done)

.SUFFIXES:
.SUFFIXES: .po .gmo .mo 

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

all: compile

compile: $(CATALOGS)

$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(XGETTEXT) --package-name=$(PACKAGE) -o $(GETTEXT_PACKAGE).pot $(POTFILES) 

install: all
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  dir=$(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES; \
	  mkdir -p $$dir; \
	  if test -r $$lang.gmo; then \
	    $(INSTALL_DATA) $$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
	  fi; \
	done

clean: 	
	rm -f *.mo *.gmo

update-po: 
	$(MAKE) $(GETTEXT_PACKAGE).pot
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  echo "$$lang:"; \
	  if test -r $$lang.po; then \
	    $(MSGMERGE) -U $$lang.po $(GETTEXT_PACKAGE).pot; \
	  else \
	    cp $(GETTEXT_PACKAGE).pot $$lang.po; \
	  fi; \
	done

=== debian/changelog ===
hermes (0.2.3) unstable; urgency=low

  * Include i18n mechanism (requested by Tomasz Dominikowski, provided by
    Nicolas Graziano). MB#5834
  * French translations (provided by Nicolas Graziano). MB#5834
  * Try to tolerate Facebook violating their own API (provided by
    Christoph Hrdinka). MB#6768
  * Include python-gobject dependency (reported by Uwe Kaminski). MB#6900
  * Add support for changing an existing contact's mappings.

 -- Andrew Flegg <andrew@bleb.org>  Sat, 12 Dec 2009 20:12:54 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, python-imaging |
  python2.5-imaging, python-osso | python2.5-osso, python-hildon |
- python2.5-hildon, python-twitter, python-facebook, python-evolution, gnome-python
+ python2.5-hildon, python-twitter, python-facebook, python-evolution,
+ gnome-python, python-gobject
 Description: Enrich contacts' information from social networks.
  Hermes, the Greek god of communication, will fill in the gaps in your
  contacts' address book. Photos and birthdays for your friends on

## hermes 0.8.0

=== debian/changelog ===
hermes (0.8.0) unstable; urgency=low

  * Enormous refactor to support additional services, with Gravatar
    and LinkedIn in this version; with enormous contribution by
    Fredrik Wendt.

 -- Andrew Flegg <andrew@bleb.org>  Thu, 10 Jun 2010 08:55:05 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, python-imaging |
  python2.5-imaging, python-osso | python2.5-osso, python-hildon |
  python2.5-hildon, python-twitter, python-facebook, python-evolution,
- gnome-python, python-gobject
+ gnome-python, python-gobject, python-conic
 Description: Enrich contacts' information from social networks.
  Hermes, the Greek god of communication, will fill in the gaps in your
  contacts' address book. Photos and birthdays for your friends on

## hermes 0.8.1

=== Makefile ===
--- 
+++ 
@@ -11,14 +11,16 @@
 
 install:
 	mkdir -p ${DESTDIR}/opt/hermes/lib ${DESTDIR}/opt/hermes/bin ${DESTDIR}/opt/hermes/share
-	ln -s ../lib/gui.py ${DESTDIR}/opt/hermes/bin/hermes
+	ln -s ../lib/main.py ${DESTDIR}/opt/hermes/bin/hermes
+	cp -r src/* ${DESTDIR}/opt/hermes/lib/
+	chown -R root:root ${DESTDIR}/opt/hermes/lib/
 	install -D -m 0644 -o root -g root src/*.py* ${DESTDIR}/opt/hermes/lib/
 	install -D -m 0644 -o root -g root share/account-*.png share/background.png ${DESTDIR}/opt/hermes/share/
 	install -D -m 0644 -o root -g root share/hermes-64.png ${DESTDIR}/usr/share/icons/hicolor/scalable/hildon/hermes.png
 	install -D -m 0644 -o root -g root share/hermes-48.png ${DESTDIR}/usr/share/icons/hicolor/48x48/hildon/hermes.png
 	install -D -m 0644 -o root -g root share/hermes.desktop ${DESTDIR}/usr/share/applications/hildon/hermes.desktop
 	install -D -m 0644 -o root -g root share/hermes.service ${DESTDIR}/usr/share/dbus-1/services/hermes.service
-	chmod 755 ${DESTDIR}/opt/hermes/lib/gui.py
+	chmod 755 ${DESTDIR}/opt/hermes/lib/main.py
 	cd po && $(MAKE) install 
 
 clean:

=== debian/changelog ===
hermes (0.8.1) unstable; urgency=low

  * Make LinkedIn verification box numbers only.
  * Localise main buttons (provided by Todor Tsankov). MB#9412
  * Fix manual mapping, and scroll to the best place recognised.
  * Put a version constraint on python-gobject (reported by tnhh).
  * Handle Twitter outages by letting the rest of the sync continue.

 -- Andrew Flegg <andrew@bleb.org>  Thu, 10 Jun 2010 11:25:21 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, python-imaging |
  python2.5-imaging, python-osso | python2.5-osso, python-hildon |
  python2.5-hildon, python-twitter, python-facebook, python-evolution,
- gnome-python, python-gobject, python-conic
+ gnome-python, python-gobject (>= 2.16), python-conic
 Description: Enrich contacts' information from social networks.
  Hermes, the Greek god of communication, will fill in the gaps in your
  contacts' address book. Photos and birthdays for your friends on

## hermes 0.8.2

=== debian/changelog ===
hermes (0.8.2) unstable; urgency=low

  * Tweak dbus command to launch browser in attempt to fix MB#8369.
    Assistance by Marcin Juszkiewicz.
  * Add about dialogue box.
  * Allow dialogues to be 'find-as-you-type'.
  * Remove full-stop from summary description, as there's some
    consensus it looks better in HAM.

 -- Andrew Flegg <andrew@bleb.org>  Thu, 10 Jun 2010 14:57:35 +0100

## hermes 0.8.3

=== debian/changelog ===
hermes (0.8.3) fremantle; urgency=low

  * Handle multiple Twitter matches causing a failure. MB#10667,
    reported by Dawid Lorenz, hotzigetty and others.
  * Improve Twitter error handling by adding missing import.
  * Add phone number, URLs and birthdays from LinkedIn. MB#10801

 -- Andrew Flegg <andrew@bleb.org>  Sun, 04 Jul 2010 11:50:54 +0100
